Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Class Process

    java.lang.Object
      |
      +--weblogic.apache.xalan.xpath.Process

public class Process
extends java.lang.Object

Provides command-line interface to the XPath processor

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Process()`

Method Summary
`static void` | `main(java.lang.String[] argv)` Command line interface to the XPath processor.
`protected static void` | `printArgOptions(XPATHErrorResources resbundle)` Print argument options.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Process

    public Process()

Method Detail

### printArgOptions

    protected static void printArgOptions(XPATHErrorResources resbundle)

  Print argument options.

### main

    public static void main(java.lang.String[] argv)
                     throws org.xml.sax.SAXException

  Command line interface to the XPath processor.

          xpath
          [xml doc]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD